/* tolua: type & tag manipulation.
** Support code for Lua bindings.
** Written by Waldemar Celes
** TeCGraf/PUC-Rio
** Jul 1998
** $Id: tolua_tt.h,v 1.3 2000/02/28 22:48:15 celes Exp $
*/

/* This code is free software; you can redistribute it and/or modify it.
** The software provided hereunder is on an "as is" basis, and
** the author has no obligation to provide maintenance, support, updates,
** enhancements, or modifications.
*/


#ifndef tolua_tt_h
#define tolua_tt_h

void  toluaI_tt_init (void);
void  toluaI_tt_register (int tag, char* type);
void  toluaI_tt_class (lua_Object lo, char* derived, char* base);
void  toluaI_tt_sethierarchy (int tag, int btag);
int   toluaI_tt_isusertype (lua_Object lo);
int   toluaI_tt_gettag (char* type);
char* toluaI_tt_getobjtype (lua_Object lo);
char* toluaI_tt_concat (char* s1, char* s2);




#endif
